org.apache.lucene.search

## Class FieldCache.Longs

- java.lang.Object
- - org.apache.lucene.search.FieldCache.Longs

Enclosing interface:
  FieldCache

    public abstract static class FieldCache.Longs
    extends Object

Field values as 64-bit signed long integers

### Field Summary

Fields
`static FieldCache.Longs` `EMPTY` Zero value for every document

### Constructor Summary

Constructors
Constructor and Description
`FieldCache.Longs()`

### Method Summary

Methods
`abstract long` `get(int docID)` Return an long representation of this field's value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final FieldCache.Longs EMPTY

Zero value for every document

### Constructor Detail

#### FieldCache.Longs

    public FieldCache.Longs()

### Method Detail

#### get

    public abstract long get(int docID)

Return an long representation of this field's value.